Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Class ServerAddress

    java.lang.Object
      org.jboss.remoting.transport.socket.ServerAddress

All Implemented Interfaces:
  java.io.Serializable

    public class ServerAddress

extends java.lang.Object
implements java.io.Serializable

This class encapsulates all the required information for a client to establish a connection with the server.

It also attempts to provide a fast hash() function since this object is used as a key in a hashmap mainted by the ConnectionManager.

Version:
  $Revision: 3086 $
Author:
  Hiram Chirino
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `address` Address of host ot connect to
`boolean` | `enableTcpNoDelay` If the TcpNoDelay option should be used on the socket.
`int` | `maxPoolSize` Maximum size of connection pool
`int` | `port` Port the service is listening on
`int` | `timeout` Timeout of setSoTimeout

Constructor Summary
`ServerAddress(java.lang.String address, int port, boolean enableTcpNoDelay, int timeout, int maxPoolSize)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    public java.lang.String address

  Address of host ot connect to

### port

    public int port

  Port the service is listening on

### enableTcpNoDelay

    public boolean enableTcpNoDelay

  If the TcpNoDelay option should be used on the socket.

### timeout

    public int timeout

  Timeout of setSoTimeout

### maxPoolSize

    public int maxPoolSize

  Maximum size of connection pool

Constructor Detail

### ServerAddress

    public ServerAddress(java.lang.String address,
                         int port,
                         boolean enableTcpNoDelay,
                         int timeout,
                         int maxPoolSize)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.